Skip to main content
`Ctrl`+`K`

# DMPlexPartitionLabelAdjacency

Add one level of adjacent points to the partition label

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPartitionLabelAdjacency(DM dm, DMLabel label)

## Input Parameters

- dm - The `DM`

- label - `DMLabel` assigning ranks to remote roots

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMLabel`, `DMPlexPartitionLabelCreateSF()`, `DMPlexDistribute()`

## Level

developer

## Location

src/dm/impls/plex/plexpartition.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages